
%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:                   conmon
Version:                2.0.10
Release:                3%{?dist}
Summary:                An OCI container runtime monitor
License:                Apache-2.0
Url:                    https://github.com/containers/conmon
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America

BuildRequires:          git
BuildRequires:          gcc
BuildRequires:          make
BuildRequires:          glibc-static
BuildRequires:          glib2-devel
BuildRequires:          glibc-devel
BuildRequires:          pkgconfig
BuildRequires:		golang >= 1.13.15

%description
Conmon is a monitoring program and communication tool between a container manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a single container.

%prep
%setup -n %{name}-%{version}

%build
%{__make} bin/conmon

%install
%{__make} PREFIX=%{buildroot}%{_libexecdir}/crio BINDIR=%{buildroot}%{_libexecdir}/crio install

%files
%license LICENSE
%attr(755,root,root) %{_libexecdir}/crio/%{name}
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Fri Aug 14 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 2.0.10-3
- Address CVE-2020-16845

* Thu Mar 05 2020 Daniel Krasinski <daniel.krasinski@oracle.com> - 2.0.10-2
- Moved conmon binary back to /usr/libexec/crio/conmon

* Tue Mar 03 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.0.10-1
- Added build scripts
